Package twisted :: Package manhole :: Module explorer :: Class Signature

[frames | no frames]

## Class Signature

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
                       Signature

I represent the signature of a callable.

Signatures are immutable, so don't expect my contents to change once they've been set.

Method Summary
| `__init__(self, argNames)`
| `__len__(self)`
| `__str__(self)`
| ``discardSelf`(self)` Invoke me to discard the first argument if this is a bound method.
| `get_default(self, arg)`
| `get_name(self, arg)`
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer.
| `is_keyword(self, arg)`
| `is_varlist(self, arg)`
| `set_default(self, arg, value)`
| `set_keyword(self, arg)`
| `set_varlist(self, arg)`
Inherited from Copyable
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective.
| ``getTypeToCopy`(self)` Determine what type tag to send for me.
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me.
| ``jellyFor`(self, jellier)` Assemble type tag and state to copy for this broker.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
`NoneType` | `_FLAVOURLESS` = None
`int` | `_HAS_DEFAULT` = 2
`int` | `_KEYWORD_DICT` = 8
`int` | `_VAR_LIST` = 4
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Method Details

### discardSelf(self)

Invoke me to discard the first argument if this is a bound method.

### getStateToCopy(self)

Gather state to send when I am serialized for a peer.

I will default to returning self.__dict__. Override this to customize this behavior.

  Overrides:
    `twisted.spread.flavors.Copyable.getStateToCopy` (inherited documentation)

Class Variable Details

### _FLAVOURLESS

  Type:
    `NoneType`
  Value:

        None

### _HAS_DEFAULT

  Type:
    `int`
  Value:

        2

### _KEYWORD_DICT

  Type:
    `int`
  Value:

        8

### _VAR_LIST

  Type:
    `int`
  Value:

        4

Generated by Epydoc 2.0 on Sat May 15 20:08:43 2004 | http://epydoc.sf.net